import _slicedToArray from "@babel/runtime/helpers/slicedToArray";
export default function getErrorItems(errors, context, formatKey, type, pgettext) {
  // legacy-legacy
  if (typeof errors === 'string') {
    return [errors];
  }

  return Object.entries(errors).map(function (_ref) {
    var _ref2 = _slicedToArray(_ref, 2),
        key = _ref2[0],
        array = _ref2[1];

    if (array.length === 0) {
      return null;
    } // legacy
    // I'm not sure if the "implicit legacy" (`typeof array[0] === 'string'`) is an actual case,
    // or if it is a misunderstanding when porting code from `billogram-foundation`.


    if (typeof array[0] === 'string' || type === 'legacy') {
      return "".concat(pgettext('form field error field', key), ": ").concat(pgettext('action-form-errors', array.join(', ')));
    } // context


    var tuples = array;
    var values = tuples.map(function (tuple) {
      return pgettext(tuple[0], tuple[1]);
    });
    return "".concat(formatKey(context, key), ": ").concat(values.join('; '));
  }).filter(function (error) {
    return error !== null;
  });
}
//# sourceMappingURL=getErrorItems.js.map